Bug 20698 - python-1.5.2-28.src.rpm won't rebuild
Summary: python-1.5.2-28.src.rpm won't rebuild
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: python   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-12 04:45 UTC by sean
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-13 23:47:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from rpm -rebuild (22.61 KB, text/plain)
2000-11-12 04:47 UTC, sean
no flags Details

Description sean 2000-11-12 04:45:26 UTC
tried to rpm -rebuild python. running rh7.0. 2.4.0-test10, glibc from
updates. 

it goes along for a while and then:

 gcc -fPIC  -g -O2 -I./../Include -I.. -DHAVE_CONFIG_H -c ./pwdmodule.c
gcc -shared  pwdmodule.o  -o pwdmodule.so
gcc -fPIC  -g -O2 -I./../Include -I.. -DHAVE_CONFIG_H -c ./grpmodule.c
gcc -shared  grpmodule.o  -o grpmodule.so
gcc -fPIC  -g -O2 -I./../Include -I.. -DHAVE_CONFIG_H -c ./selectmodule.c
gcc -shared  selectmodule.o  -o selectmodule.so
gcc -fPIC  -I/usr/include/openssl -DUSE_SSL -lssl -lcrypto -g -O2
-I./../Include -I.. -DHAVE_CONFIG_H -c ./socketmodule.c
./socketmodule.c:175:46: rsa.h: No such file or directory
./socketmodule.c:176:20: crypto.h: No such file or directory
./socketmodule.c:177:18: x509.h: No such file or directory
./socketmodule.c:178:17: pem.h: No such file or directory
./socketmodule.c:179:17: ssl.h: No such file or directory
make[1]: *** [socketmodule.o] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/Python-1.5.2/Modules'
make: *** [sharedmods] Error 2
Bad exit status from /var/tmp/rpm-tmp.43542 (%build)

Comment 1 sean 2000-11-12 04:47:06 UTC
Created attachment 5260 [details]
output from rpm -rebuild

Comment 2 Bill Nottingham 2000-11-13 07:14:44 UTC
Do you have the openssl-devel package installed?

Comment 3 Trond Eivind Glomsrxd 2002-08-13 23:51:46 UTC
The current one (2.2.1-15) does rebuild.


Note You need to log in before you can comment on or make changes to this bug.